@echo off
echo Weather charts from NOAA NWS Gateway
echo PWA - Northern Hemisphere
echo.
echo.



set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8
set irfanviewdir=%9

cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

"%UtilDir%\wget\wget.exe" ftp://tgftp.nws.noaa.gov/fax/PWAB85.TIF
"%UtilDir%\wget\wget.exe" ftp://tgftp.nws.noaa.gov/fax/PWAC85.TIF
"%UtilDir%\wget\wget.exe" ftp://tgftp.nws.noaa.gov/fax/PWAD85.TIF
"%UtilDir%\wget\wget.exe" ftp://tgftp.nws.noaa.gov/fax/PWAE85.TIF
"%UtilDir%\wget\wget.exe" ftp://tgftp.nws.noaa.gov/fax/PWAF85.TIF
"%UtilDir%\wget\wget.exe" ftp://tgftp.nws.noaa.gov/fax/PWAG85.TIF

echo off
if not exist "%OutputDrive%\%OutputDir%\PWA?85.TIF"  goto MESSAGE
echo The files "PWAB85.TIF" up to "PWAG85.TIF" have been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Data is retrieved from ftp://tgftp.nws.noaa.gov/fax/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START

rem generate TXT file
echo %OutputDrive%\%OutputDir%\PWAB85.jpg > %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAC85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAD85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAE85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAF85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAG85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAB85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAC85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAD85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAE85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAF85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAG85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAB85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAC85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAD85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAE85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAF85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAG85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAB85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAC85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAD85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAE85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAF85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAG85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAB85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAC85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAD85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAE85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAF85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAG85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAB85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAC85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAD85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAE85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAF85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAG85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAB85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAC85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAD85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAE85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAF85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAG85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAB85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAC85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAD85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAE85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAF85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt
echo %OutputDrive%\%OutputDir%\PWAG85.jpg >> %OutputDrive%\%OutputDir%\noaa_pwa.txt




rem wait 2 seconds for irfanview to flush its output
ping 1.1.1.1 -n 3 -w 500 > NUL

set irfanviewdir=%irfanviewdir:~2,-2%

"%irfanviewdir%" %OutputDrive%\%OutputDir%\PWA*85.TIF /rotate_l /convert=%OutputDrive%\%OutputDir%\PWA*85.jpg

"%irfanviewdir%" /slideshow=%OutputDrive%\%OutputDir%\noaa_pwa.txt /closeslideshow


del %OutputDrive%\%OutputDir%\pwa*.tif
del %OutputDrive%\%OutputDir%\pwa*.jpg
del %OutputDrive%\%OutputDir%\noaa_pwa.txt


:END
"%IlwDir%\ilwis.exe" -C closeall