@echo off
echo Weather charts from NOAA NWS Gateway
echo PWZ - Africa - Asia
echo.
echo.



set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8
set irfanviewdir=%9

cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

"%UtilDir%\wget\wget.exe" ftp://tgftp.nws.noaa.gov/fax/PWZB85.TIF
"%UtilDir%\wget\wget.exe" ftp://tgftp.nws.noaa.gov/fax/PWZC85.TIF
"%UtilDir%\wget\wget.exe" ftp://tgftp.nws.noaa.gov/fax/PWZD85.TIF
"%UtilDir%\wget\wget.exe" ftp://tgftp.nws.noaa.gov/fax/PWZE85.TIF
"%UtilDir%\wget\wget.exe" ftp://tgftp.nws.noaa.gov/fax/PWZF85.TIF
"%UtilDir%\wget\wget.exe" ftp://tgftp.nws.noaa.gov/fax/PWZG85.TIF

echo off
if not exist "%OutputDrive%\%OutputDir%\PWZ?85.TIF"  goto MESSAGE
echo The files "PWZB85.TIF" up to "PWZG85.TIF" have been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Data is retrieved from ftp://tgftp.nws.noaa.gov/fax/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START


rem generate TXT file
echo %OutputDrive%\%OutputDir%\PWZB85.jpg > %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZC85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZD85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZE85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZF85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZG85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZB85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZC85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZD85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZE85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZF85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZG85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZB85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZC85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZD85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZE85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZF85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZG85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZB85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZC85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZD85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZE85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZF85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZG85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZB85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZC85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZD85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZE85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZF85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZG85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZB85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZC85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZD85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZE85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZF85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZG85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZB85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZC85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZD85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZE85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZF85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZG85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZB85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZC85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZD85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZE85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZF85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt
echo %OutputDrive%\%OutputDir%\PWZG85.jpg >> %OutputDrive%\%OutputDir%\noaa_PWZ.txt




rem wait 2 seconds for irfanview to flush its output
ping 1.1.1.1 -n 3 -w 500 > NUL

set irfanviewdir=%irfanviewdir:~2,-2%

"%irfanviewdir%" %OutputDrive%\%OutputDir%\PWZ*85.TIF /rotate_l /convert=%OutputDrive%\%OutputDir%\PWZ*85.jpg

"%irfanviewdir%" /slideshow=%OutputDrive%\%OutputDir%\noaa_PWZ.txt /closeslideshow


del %OutputDrive%\%OutputDir%\PWZ*.tif
del %OutputDrive%\%OutputDir%\PWZ*.jpg
del %OutputDrive%\%OutputDir%\noaa_PWZ.txt

:END
"%IlwDir%\ilwis.exe" -C closeall