@echo off
echo Extract latest SST maps available of SST and SST anomaly
echo Temperature in degree Celcius
echo.
echo.


set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8
set irfanviewdir=%9

cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.


"%UtilDir%\wget\wget.exe" http://www.cpc.ncep.noaa.gov/products/analysis_monitoring/enso_update/gsstanim.gif

echo off
if not exist "%OutputDrive%\%OutputDir%\gsstanim.gif"  goto MESSAGE
echo The file(s) "gsstanim.gif" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Data is retrieved from http://www.cpc.ncep.noaa.gov/products/analysis_monitoring/enso_update/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START


set irfanviewdir=%irfanviewdir:~2,-2%

"%irfanviewdir%" %OutputDrive%\%OutputDir%\gsstanim.gif /hide=15 



del %OutputDrive%\%OutputDir%\gsstanim.gif


:END
"%IlwDir%\ilwis.exe" -C closeall
