@echo off
rem input filename format GLDAS_NOAH025SUBP_3H_A%shortfilename1%%shortfilename2%_%shortfilename3%.grb
rem loop of 8 files

call inputparam.bat

echo off

set longfilename=%1
set shortfilename1=%longfilename:~22,4%
set shortfilename2=%longfilename:~26,3%
set shortfilename3=%longfilename:~30,2%

echo.
echo processing timestep %shortfilename1%%shortfilename2%_%shortfilename3% 
echo.

%gdalDir%\gdal_translate -of ilwis GLDAS_NOAH025SUBP_3H_A%shortfilename1%%shortfilename2%_%shortfilename3%.grb GLDAS_NOAH025SUBP_3H_A%shortfilename1%%shortfilename2%_%shortfilename3%
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\GLDAS_NOAH025_3H_A%shortfilename1%%shortfilename2%_%shortfilename3%.mpl:=maplistcalculate("iff(%OutputDrive%\%OutputDir%\@1 ne 9999,%OutputDrive%\%OutputDir%\@1,?)",0,27,GLDAS_NOAH025SUBP_3H_A%shortfilename1%%shortfilename2%_%shortfilename3%.mpl)

rem delete obsolete objects

del %OutputDrive%\%OutputDir%\GLDAS_NOAH025SUBP_3H_A%shortfilename1%%shortfilename2%_%shortfilename3%.mp*
del %OutputDrive%\%OutputDir%\GLDAS_NOAH025SUBP_3H_A%shortfilename1%%shortfilename2%_%shortfilename3%_band*.mp*
